Generation Framework

## org.eclipse.gmf.gmfgraph
Interface BasicFont

All Superinterfaces:
  EObject, Font, Notifier

All Known Implementing Classes:
  BasicFontImpl

public interface BasicFont
extends Font

A representation of the model object 'Basic Font'.

The following features are supported:

- `Face Name`
- `Height`
- `Style`

See Also:
  `GMFGraphPackage.getBasicFont()`
** Generated **
Model:

Method Summary
`java.lang.String` `getFaceName()` Returns the value of the 'Face Name' attribute
`int` `getHeight()` Returns the value of the 'Height' attribute.
`FontStyle` `getStyle()` Returns the value of the 'Style' attribute.
`void` `setFaceName(java.lang.String value)` Sets the value of the '`Face Name`' attribute
`void` `setHeight(int value)` Sets the value of the '`Height`' attribute
`void` `setStyle(FontStyle value)` Sets the value of the '`Style`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFaceName

    public java.lang.String getFaceName()

  Returns the value of the 'Face Name' attribute.

  If the meaning of the 'Face Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Face Name' attribute.
  See Also:
    `BasicFont.setFaceName(String)`, `GMFGraphPackage.getBasicFont_FaceName()`
  ** Generated **
  Model:

### setFaceName

    public void setFaceName(java.lang.String value)

  Sets the value of the '`Face Name`' attribute.

  Parameters:
    `value` - the new value of the 'Face Name' attribute.
  See Also:
    `BasicFont.getFaceName()`
  ** Generated **

### getHeight

    public int getHeight()

  Returns the value of the 'Height' attribute. The default value is `"9"`.

  If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Height' attribute.
  See Also:
    `BasicFont.setHeight(int)`, `GMFGraphPackage.getBasicFont_Height()`
  ** Generated **
  Model:
    default="9"

### setHeight

    public void setHeight(int value)

  Sets the value of the '`Height`' attribute.

  Parameters:
    `value` - the new value of the 'Height' attribute.
  See Also:
    `BasicFont.getHeight()`
  ** Generated **

### getStyle

    public FontStyle getStyle()

  Returns the value of the 'Style' attribute. The default value is `"NORMAL"`. The literals are from the enumeration `FontStyle`.

  If the meaning of the 'Style' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style' attribute.
  See Also:
    `FontStyle`, `BasicFont.setStyle(FontStyle)`, `GMFGraphPackage.getBasicFont_Style()`
  ** Generated **
  Model:
    default="NORMAL"

### setStyle

    public void setStyle(FontStyle value)

  Sets the value of the '`Style`' attribute.

  Parameters:
    `value` - the new value of the 'Style' attribute.
  See Also:
    `FontStyle`, `BasicFont.getStyle()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.